<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Bootstrap Grid System</title>

    <!-- Linking Bootstrap -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />

    <!-- Linking index.css -->
    <!-- <link rel="stylesheet" href="index.css" /> -->
  </head>
  <body class="text-center">
    <h1>Bootstrap Grid System</h1>

    <h2>Two columns</h2>
    <div class="container-fluid">
      <h3>1:1 Ratio</h3>
      <div class="row">
        <div class="col-6 bg-primary border border-dark py-3">6 columns</div>
        <div class="col-6 bg-secondary border border-dark py-3">6 columns</div>
      </div>

      <h3>1:3 Ratio</h3>
      <div class="row">
        <div class="col-3 bg-primary border border-dark py-3">3 columns</div>
        <div class="col-9 bg-secondary border border-dark py-3">9 columns</div>
      </div>

      <h3>1:2 Ratio</h3>
      <div class="row">
        <div class="col-4 bg-primary border border-dark py-3">4 columns</div>
        <div class="col-8 bg-secondary border border-dark py-3">8 columns</div>
      </div>
    </div>

    <hr />
    <h2>Three columns</h2>
    <div class="container-fluid">
      <h3>1:1:1 Ratio</h3>
      <div class="row">
        <div class="col-4 bg-primary border border-dark py-3">4 columns</div>
        <div class="col-4 bg-secondary border border-dark py-3">4 columns</div>
        <div class="col-4 bg-success border border-dark py-3">4 columns</div>
      </div>

      <h3>1:2:1 Ratio</h3>
      <div class="row">
        <div class="col-3 bg-primary border border-dark py-3">3 columns</div>
        <div class="col-6 bg-secondary border border-dark py-3">6 columns</div>
        <div class="col-3 bg-success border border-dark py-3">3 columns</div>
      </div>

      <h3>3:7:2</h3>
      <div class="row">
        <div class="col-3 bg-primary border border-dark py-3">3 columns</div>
        <div class="col-7 bg-secondary border border-dark py-3">7 columns</div>
        <div class="col-2 bg-success border border-dark py-3">2 columns</div>
      </div>
    </div>

    <hr />
    <h2>Automtic Sizing</h2>
    <div class="container-fluid">
      <div class="row">
        <div class="bg-primary border border-dark py-3 col">Automatic</div>
        <div class="bg-secondary border border-dark py-3 col">Automatic</div>
        <div class="col-7 bg-success border border-dark py-3">7 columns</div>
      </div>
    </div>

    <hr />
    <h2>Multi-row layouts</h2>
    <div class="container-fluid">
      <div class="row">
        <div class="bg-primary border border-dark py-3 col-4">Catalog 1</div>
        <div class="bg-secondary border border-dark py-3 col-4">Catalog 2</div>
        <div class="bg-primary border border-dark py-3 col-4">Catalog 3</div>
        <div class="bg-secondary border border-dark py-3 col-4">Catalog 4</div>
        <div class="bg-primary border border-dark py-3 col-4">Catalog 5</div>
        <div class="bg-secondary border border-dark py-3 col-4">Catalog 6</div>
      </div>
    </div>

    <hr />
    <h2>Offsetting Columns</h2>
    <div class="container-fluid">
      <div class="row">
        <!-- use mx-auto if col is odd -->
        <div class="bg-primary border border-dark py-3 col-7 mx-auto">
          Offset Column
        </div>
        <div
          class="bg-secondary border border-dark py-3 col-6 offset-md-3 offset-0"
        >
          Offset Column
        </div>
        <div
          class="bg-primary border border-dark py-3 col-7 offset-md-5 offset-0"
        >
          Offset Column
        </div>
      </div>
    </div>

    <hr />
    <h2>Column Orders</h2>
    <div class="container-fluid">
      <div class="row">
        <div class="bg-primary border border-dark py-3 col order-2 order-md-1">
          Left
        </div>
        <div
          class="bg-secondary border border-dark py-3 col order-1 order-md-2"
        >
          Right
        </div>
      </div>
    </div>
    <!-- Script -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
